Package ru.bitel.bgbilling.kernel.contract.autopayment.common.bean

# Class ContractAutopaymentMode.ContractAutopaymentModeAuto

java.lang.Object
ru.bitel.bgbilling.kernel.contract.autopayment.common.bean.ContractAutopaymentMode
ru.bitel.bgbilling.kernel.contract.autopayment.common.bean.ContractAutopaymentMode.ContractAutopaymentModeAuto

Enclosing class:
  `ContractAutopaymentMode`

public static class ContractAutopaymentMode.ContractAutopaymentModeAuto extends ContractAutopaymentMode

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class ru.bitel.bgbilling.kernel.contract.autopayment.common.bean.ContractAutopaymentMode

  `ContractAutopaymentMode.ContractAutopaymentModeAuto, ContractAutopaymentMode.ContractAutopaymentModePeriodic`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ContractAutopaymentModeAuto()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `BigDecimal`
  `getDaySum()`
  `BigDecimal`
  `getDaySumMax()`
  `BigDecimal`
  `getMonthSum()`
  `BigDecimal`
  `getMonthSumMax()`
  `BigDecimal`
  `getWeekSum()`
  `BigDecimal`
  `getWeekSumMax()`
  `ContractAutopaymentMode.ContractAutopaymentModeAuto`
  `setDaySum(BigDecimal daySumDefault)`
  `ContractAutopaymentMode.ContractAutopaymentModeAuto`
  `setDaySumMax(BigDecimal daySumMax)`
  `ContractAutopaymentMode.ContractAutopaymentModeAuto`
  `setMonthSum(BigDecimal monthSumDefault)`
  `ContractAutopaymentMode.ContractAutopaymentModeAuto`
  `setMonthSumMax(BigDecimal monthSumMax)`
  `ContractAutopaymentMode.ContractAutopaymentModeAuto`
  `setWeekSum(BigDecimal weekSumDefault)`
  `ContractAutopaymentMode.ContractAutopaymentModeAuto`
  `setWeekSumMax(BigDecimal weekSumMax)`
  `void`
  `toAutopayment(Autopayment autopayment)`
  `String`
  `toData()`

  ### Methods inherited from class ru.bitel.bgbilling.kernel.contract.autopayment.common.bean.ContractAutopaymentMode

  `fromAutopayment, getContractAutopaymentMode, getMode, setMode`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ContractAutopaymentModeAuto

    public ContractAutopaymentModeAuto()

- ## Method Details

  - ### getDaySum

    public BigDecimal getDaySum()

  - ### setDaySum

    public ContractAutopaymentMode.ContractAutopaymentModeAuto setDaySum(BigDecimal daySumDefault)

  - ### getDaySumMax

    public BigDecimal getDaySumMax()

  - ### setDaySumMax

    public ContractAutopaymentMode.ContractAutopaymentModeAuto setDaySumMax(BigDecimal daySumMax)

  - ### getWeekSum

    public BigDecimal getWeekSum()

  - ### setWeekSum

    public ContractAutopaymentMode.ContractAutopaymentModeAuto setWeekSum(BigDecimal weekSumDefault)

  - ### getWeekSumMax

    public BigDecimal getWeekSumMax()

  - ### setWeekSumMax

    public ContractAutopaymentMode.ContractAutopaymentModeAuto setWeekSumMax(BigDecimal weekSumMax)

  - ### getMonthSum

    public BigDecimal getMonthSum()

  - ### setMonthSum

    public ContractAutopaymentMode.ContractAutopaymentModeAuto setMonthSum(BigDecimal monthSumDefault)

  - ### getMonthSumMax

    public BigDecimal getMonthSumMax()

  - ### setMonthSumMax

    public ContractAutopaymentMode.ContractAutopaymentModeAuto setMonthSumMax(BigDecimal monthSumMax)

  - ### toData

    public String toData()
    Overrides:
      `toData` in class `ContractAutopaymentMode`

  - ### toAutopayment

    public void toAutopayment(Autopayment autopayment)
    Overrides:
      `toAutopayment` in class `ContractAutopaymentMode`